Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/ConfirmationDialog.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/ConfirmationDialog.cs	(revision 3751)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/ConfirmationDialog.cs	(revision 3752)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.PluginInfrastructure.Advanced {
   internal partial class ConfirmationDialog : Form {
-    public ConfirmationDialog() {
+    public ConfirmationDialog() : base() {
       InitializeComponent();
       icon.Image = System.Drawing.SystemIcons.Exclamation.ToBitmap();
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerForm.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerForm.cs	(revision 3751)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerForm.cs	(revision 3752)
@@ -37,5 +37,5 @@
     private string pluginDir;
 
-    public InstallationManagerForm(PluginManager pluginManager) {
+    public InstallationManagerForm(PluginManager pluginManager) : base() {
       InitializeComponent();
       FileVersionInfo pluginInfrastructureVersion = FileVersionInfo.GetVersionInfo(GetType().Assembly.Location);
@@ -143,5 +143,5 @@
     #region button events
     private void connectionSettingsToolStripMenuItem_Click(object sender, EventArgs e) {
-      new ConnectionSetupView().ShowDialog();
+      new ConnectionSetupView().ShowDialog(this);
     }
     private void tabControl_SelectedIndexChanged(object sender, EventArgs e) {
@@ -158,5 +158,5 @@
         }
       }
-      return (new ConfirmationDialog("Confirm Delete", "Do you want to delete following files?", strBuilder.ToString())).ShowDialog() == DialogResult.OK;
+      return (new ConfirmationDialog("Confirm Delete", "Do you want to delete following files?", strBuilder.ToString())).ShowDialog(this) == DialogResult.OK;
     }
 
@@ -166,5 +166,5 @@
         strBuilder.AppendLine(plugin.ToString());
       }
-      return (new ConfirmationDialog("Confirm Update", "Do you want to update following plugins?", strBuilder.ToString())).ShowDialog() == DialogResult.OK;
+      return (new ConfirmationDialog("Confirm Update", "Do you want to update following plugins?", strBuilder.ToString())).ShowDialog(this) == DialogResult.OK;
     }
 
@@ -173,5 +173,5 @@
         if (!string.IsNullOrEmpty(plugin.LicenseText)) {
           var licenseConfirmationBox = new LicenseConfirmationDialog(plugin);
-          if (licenseConfirmationBox.ShowDialog() != DialogResult.OK)
+          if (licenseConfirmationBox.ShowDialog(this) != DialogResult.OK)
             return false;
         }
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstalledPluginsView.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstalledPluginsView.cs	(revision 3751)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstalledPluginsView.cs	(revision 3752)
@@ -208,5 +208,5 @@
         var plugin = (PluginDescription)localPluginsListView.SelectedItems[0].Tag;
         PluginView pluginView = new PluginView(plugin);
-        pluginView.Show();
+        pluginView.Show(this);
       }
     }
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/LicenseConfirmationDialog.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/LicenseConfirmationDialog.Designer.cs	(revision 3751)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/LicenseConfirmationDialog.Designer.cs	(revision 3752)
@@ -45,5 +45,4 @@
     private void InitializeComponent() {
       this.components = new System.ComponentModel.Container();
-      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(LicenseConfirmationDialog));
       this.richTextBox = new System.Windows.Forms.RichTextBox();
       this.acceptButton = new System.Windows.Forms.Button();
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/LicenseConfirmationDialog.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/LicenseConfirmationDialog.cs	(revision 3751)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/LicenseConfirmationDialog.cs	(revision 3752)
@@ -30,9 +30,9 @@
 namespace HeuristicLab.PluginInfrastructure.Advanced {
   internal partial class LicenseConfirmationDialog : Form {
-    public LicenseConfirmationDialog() {
+    public LicenseConfirmationDialog() : base() {
       InitializeComponent();
     }
 
-    public LicenseConfirmationDialog(IPluginDescription plugin) {
+    public LicenseConfirmationDialog(IPluginDescription plugin) : base() {
       InitializeComponent();
       richTextBox.Text = plugin.LicenseText;
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/LicenseView.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/LicenseView.cs	(revision 3751)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/LicenseView.cs	(revision 3752)
@@ -32,10 +32,10 @@
   internal partial class LicenseView : Form {
 
-    public LicenseView() {
+    public LicenseView() : base() {
       InitializeComponent();
       Name = "License";
     }
 
-    public LicenseView(IPluginDescription plugin) {
+    public LicenseView(IPluginDescription plugin) : base() {
       InitializeComponent();
       Name = "License of: " + plugin;
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/PluginView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/PluginView.Designer.cs	(revision 3751)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/PluginView.Designer.cs	(revision 3752)
@@ -45,5 +45,4 @@
     private void InitializeComponent() {
       this.components = new System.ComponentModel.Container();
-      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(PluginView));
       this.nameLabel = new System.Windows.Forms.Label();
       this.nameTextBox = new System.Windows.Forms.TextBox();
@@ -316,6 +315,7 @@
       this.Controls.Add(this.nameTextBox);
       this.Controls.Add(this.nameLabel);
-      this.Icon = HeuristicLab.PluginInfrastructure.Resources.HeuristicLab;
+      this.Icon = global::HeuristicLab.PluginInfrastructure.Resources.HeuristicLab;
       this.Name = "PluginView";
+      this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
       this.dependenciesGroupBox.ResumeLayout(false);
       this.filesGroupBox.ResumeLayout(false);
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/PluginView.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/PluginView.cs	(revision 3751)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/PluginView.cs	(revision 3752)
@@ -40,10 +40,10 @@
     private IPluginDescription plugin;
 
-    public PluginView() {
+    public PluginView() : base() {
       InitializeComponent();
       PopulateImageList();
     }
 
-    public PluginView(IPluginDescription plugin) {
+    public PluginView(IPluginDescription plugin) : base() {
       InitializeComponent();
       PopulateImageList();
@@ -114,5 +114,5 @@
         var dep = (PluginDescription)dependenciesListView.SelectedItems[0].Tag;
         PluginView view = new PluginView(dep);
-        view.Show();
+        view.Show(this);
       }
     }
@@ -120,5 +120,5 @@
     private void showLicenseButton_Click(object sender, EventArgs e) {
       LicenseView view = new LicenseView(plugin);
-      view.Show();
+      view.Show(this);
     }
   }
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/HeuristicLab.PluginInfrastructure.csproj
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/HeuristicLab.PluginInfrastructure.csproj	(revision 3751)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/HeuristicLab.PluginInfrastructure.csproj	(revision 3752)
@@ -216,13 +216,4 @@
     <Compile Include="Main.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
-    <EmbeddedResource Include="Advanced\InstallationManagerForm.resx">
-      <DependentUpon>InstallationManagerForm.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="Starter\SplashScreen.resx">
-      <DependentUpon>SplashScreen.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="Starter\StarterForm.resx">
-      <DependentUpon>StarterForm.cs</DependentUpon>
-    </EmbeddedResource>
     <None Include="app.config" />
     <None Include="HeuristicLab.snk" />
@@ -271,38 +262,12 @@
     <Content Include="Resources\HeuristicLab.ico" />
     <Content Include="Resources\Logo_white.gif" />
+    <None Include="Resources\VS2008ImageLibrary_Actions_Delete.png" />
     <Content Include="Resources\VS2008ImageLibrary_Actions_PublishToWebHS.png" />
     <Content Include="Resources\VS2008ImageLibrary_Actions_RepeatHS.png" />
     <Content Include="Resources\VS2008ImageLibrary_CommonElements_Actions_Add.png" />
     <Content Include="Resources\VS2008ImageLibrary_Objects_Plugin.png" />
-    <EmbeddedResource Include="Advanced\AvailablePluginsView.resx">
-      <DependentUpon>AvailablePluginsView.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="Advanced\BasicUpdateView.resx">
-      <DependentUpon>BasicUpdateView.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="Advanced\ConfirmationDialog.resx">
-      <DependentUpon>ConfirmationDialog.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="Advanced\ConnectionSetupView.resx">
-      <DependentUpon>ConnectionSetupView.cs</DependentUpon>
-    </EmbeddedResource>
     <EmbeddedResource Include="Advanced\DeploymentService\servdev.cer" />
-    <EmbeddedResource Include="Advanced\EditProductsView.resx">
-      <DependentUpon>EditProductsView.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="Advanced\InstalledPluginsView.resx">
-      <DependentUpon>InstalledPluginsView.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="Advanced\LicenseConfirmationDialog.resx">
-      <DependentUpon>LicenseConfirmationDialog.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="Advanced\LicenseView.resx">
-      <DependentUpon>LicenseView.cs</DependentUpon>
-    </EmbeddedResource>
     <EmbeddedResource Include="Advanced\PluginView.resx">
       <DependentUpon>PluginView.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="Advanced\UploadPluginsView.resx">
-      <DependentUpon>UploadPluginsView.cs</DependentUpon>
     </EmbeddedResource>
     <EmbeddedResource Include="Resources.resx">
@@ -310,7 +275,4 @@
       <LastGenOutput>Resources.Designer.cs</LastGenOutput>
       <SubType>Designer</SubType>
-    </EmbeddedResource>
-    <EmbeddedResource Include="Starter\AboutDialog.resx">
-      <DependentUpon>AboutDialog.cs</DependentUpon>
     </EmbeddedResource>
     <None Include="Resources\VS2008ImageLibrary_CommonElements_Actions_Remove.png" />
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Properties/AssemblyInfo.frame	(revision 3751)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Properties/AssemblyInfo.frame	(revision 3752)
@@ -37,5 +37,4 @@
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
-[assembly: System.Resources.NeutralResourcesLanguage("en")]
 [assembly: CLSCompliant(true)]
 
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Resources.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Resources.Designer.cs	(revision 3751)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Resources.Designer.cs	(revision 3752)
@@ -82,10 +82,8 @@
         }
         
-        /// <summary>
-        ///   Looks up a localized string similar to .
-        /// </summary>
-        internal static string Bla {
-            get {
-                return ResourceManager.GetString("Bla", resourceCulture);
+        internal static System.Drawing.Bitmap Delete {
+            get {
+                object obj = ResourceManager.GetObject("Delete", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
             }
         }
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/AboutDialog.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/AboutDialog.cs	(revision 3751)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/AboutDialog.cs	(revision 3752)
@@ -103,5 +103,5 @@
       if(pluginListView.SelectedItems.Count > 0) {
         PluginView view = new PluginView((IPluginDescription)pluginListView.SelectedItems[0].Tag);
-        view.Show();
+        view.Show(this);
       }
     }
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/SplashScreen.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/SplashScreen.Designer.cs	(revision 3751)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/SplashScreen.Designer.cs	(revision 3752)
@@ -48,9 +48,6 @@
     /// </summary>
     private void InitializeComponent() {
-      this.components = new System.ComponentModel.Container();
-      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(SplashScreen));
       this.panel = new System.Windows.Forms.Panel();
       this.closeButton = new System.Windows.Forms.Button();
-      this.imageList = new System.Windows.Forms.ImageList(this.components);
       this.companyLabel = new System.Windows.Forms.Label();
       this.userNameLabel = new System.Windows.Forms.Label();
@@ -94,5 +91,4 @@
       this.closeButton.ForeColor = System.Drawing.Color.White;
       this.closeButton.ImageIndex = 0;
-      this.closeButton.ImageList = this.imageList;
       this.closeButton.Location = new System.Drawing.Point(604, 3);
       this.closeButton.Name = "closeButton";
@@ -101,8 +97,4 @@
       this.closeButton.UseVisualStyleBackColor = true;
       this.closeButton.Click += new System.EventHandler(this.closeButton_Click);
-      // 
-      // imageList
-      // 
-      this.imageList.Images.Add(HeuristicLab.PluginInfrastructure.Resources.Remove);
       // 
       // companyLabel
@@ -214,4 +206,5 @@
       ((System.ComponentModel.ISupportInitialize)(this.pictureBox)).EndInit();
       this.ResumeLayout(false);
+
     }
 
@@ -227,5 +220,4 @@
     private System.Windows.Forms.Label copyrightLabel;
     private System.Windows.Forms.Label infoLabel;
-    private System.Windows.Forms.ImageList imageList;
     private System.Windows.Forms.Button closeButton;
   }
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/SplashScreen.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/SplashScreen.cs	(revision 3751)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/SplashScreen.cs	(revision 3752)
@@ -46,4 +46,5 @@
       this.manager = manager;
 
+      closeButton.Image = HeuristicLab.PluginInfrastructure.Resources.Delete;
       manager.ApplicationStarted += new EventHandler<PluginInfrastructureEventArgs>(manager_ApplicationStarted);
       manager.ApplicationStarting += new EventHandler<PluginInfrastructureEventArgs>(manager_ApplicationStarting);
